summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Aaditya Bagga <aaditya_gnulinux@zoho.com>2015-01-24 00:11:13 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-01-24 00:11:13 +0700
commitc638929834ccd79ea4225706ac54ec00d5feb044 (patch)
tree5e10d3952d4b4b8e64c2f39b58caccd878c24474
parenta2d3e47d11557c662ad7e2c87eb16c0e0b2d5846 (diff)
downloadslackbuilds-c638929834ccd79ea4225706ac54ec00d5feb044.tar.gz
slackbuilds-c638929834ccd79ea4225706ac54ec00d5feb044.tar.xz
desktop/gtkhash: Update script.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/gtkhash/README.Slackware3
-rw-r--r--desktop/gtkhash/gtkhash.SlackBuild15
-rw-r--r--desktop/gtkhash/slack-desc2
3 files changed, 11 insertions, 9 deletions
diff --git a/desktop/gtkhash/README.Slackware b/desktop/gtkhash/README.Slackware
index af8ffb53cc..41ac52a917 100644
--- a/desktop/gtkhash/README.Slackware
+++ b/desktop/gtkhash/README.Slackware
@@ -19,7 +19,8 @@ commented out; users can enable them according to their needs.
Using with Thunar:
-Thunar's Custom Action feature can be used (Thunar -> Edit -> Configure Custom Action) to create a custom action in the menu for checking the md5sum.
+Thunar's Custom Action feature can be used (Thunar -> Edit -> Configure
+Custom Action) to create a custom action in the menu for checking the md5sum.
I used the following values:
diff --git a/desktop/gtkhash/gtkhash.SlackBuild b/desktop/gtkhash/gtkhash.SlackBuild
index 9cd41179ff..e44dfe2581 100644
--- a/desktop/gtkhash/gtkhash.SlackBuild
+++ b/desktop/gtkhash/gtkhash.SlackBuild
@@ -1,8 +1,8 @@
#!/bin/sh
-# Slackware build script for gtkhash
+# Slackware build script for GtkHash
-# Copyright 2014 Aaditya Bagga <aaditya_gnulinux@zoho.com>
+# Copyright 2014-2015 Aaditya Bagga <aaditya_gnulinux@zoho.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PRGNAM=gtkhash
VERSION=${VERSION:-0.7.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -67,8 +67,7 @@ find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -88,13 +87,15 @@ CXXFLAGS="$SLKCFLAGS" \
# --enable-polarssl \
# --enable-nettle \
# --enable-nss \
-# --enable-mhash
make
make install DESTDIR=$PKG
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/desktop/gtkhash/slack-desc b/desktop/gtkhash/slack-desc
index 848aaaec0c..6582710f63 100644
--- a/desktop/gtkhash/slack-desc
+++ b/desktop/gtkhash/slack-desc
@@ -6,7 +6,7 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-gtkhash: gtkhash (utility to compute message digests)
+gtkhash: gtkhash (utility for computing message digests or checksums)
gtkhash:
gtkhash: GtkHash is a GTK+ utility for computing message digests
gtkhash: or checksums.